"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var _Calendar = _interopRequireDefault(require("../../styles/Calendar"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "CalendarStyles__Container",
  componentId: "sc-1f70157-0"
})(["", " ", " & .react-calendar{width:265px;border:none;background-color:", ";}", " & .react-calendar__navigation{margin:0;height:40px;}", " & .react-calendar__navigation__label{font-family:", ";font-size:", ";color:", ";min-width:40px;padding:0;}", " & .react-calendar__navigation button{min-width:40px !important;&:enabled:focus,[disabled],:disabled{background:", ";}}", " & .react-calendar__navigation__arrow{font-size:", ";font-family:", ";color:", ";&:hover{background:", " !important;}}", " & .react-calendar__month-view__weekdays__weekday{font-family:", ";font-size:", ";color:", ";text-transform:uppercase;}", " & .react-calendar__month-view__days{}", " & .react-calendar__tile{&:enabled:hover{background:", " !important;}}", " & .react-calendar__tile--active,.react-calendar__tile--active:enabled:focus{color:", " !important;background:", ";&:enabled:hover{background:", " !important;}}", " & .react-calendar__month-view__days__day{font-family:", ";font-size:", ";color:", ";}", " & .react-calendar__month-view__days__day--weekend{color:", ";}", " & .react-calendar__month-view__days__day--neighboringMonth{color:", ";}"], _Calendar["default"], ''
/* Whole calendar */
, _tokens["default"].datetimepicker.calendar.background.color, ''
/* Navigation row */
, ''
/* Current month year label */
, _tokens["default"].datetimepicker.calendar.navigation.label.text.family, _tokens["default"].datetimepicker.calendar.navigation.label.text.size, _tokens["default"].datetimepicker.calendar.navigation.label.text.color, ''
/* All navigation buttons */
, _tokens["default"].datetimepicker.calendar.background.color, ''
/* All navigation arrows */
, _tokens["default"].datetimepicker.calendar.navigation.arrow.text.size, _tokens["default"].datetimepicker.calendar.navigation.arrow.text.family, _tokens["default"].datetimepicker.calendar.navigation.arrow.text.color, _tokens["default"].datetimepicker.calendar.navigation.arrow.background.color.hover, ''
/* Single day name header */
, _tokens["default"].datetimepicker.calendar.weekday.text.family, _tokens["default"].datetimepicker.calendar.weekday.text.size, _tokens["default"].datetimepicker.calendar.weekday.text.color, ''
/* Date grid */
, ''
/* Date tile */
, _tokens["default"].datetimepicker.calendar.tile.background.color.hover, ''
/* Selected date tile */
, _tokens["default"].datetimepicker.calendar.tile.text.color.active, _tokens["default"].datetimepicker.calendar.tile.background.color.active, _tokens["default"].datetimepicker.calendar.tile.background.color.active, ''
/* Day title */
, _tokens["default"].datetimepicker.calendar.tile.text.family, _tokens["default"].datetimepicker.calendar.tile.text.size, _tokens["default"].datetimepicker.calendar.tile.text.color["default"], ''
/* Weekend */
, _tokens["default"].datetimepicker.calendar.tile.text.color["default"], ''
/* Neighboring month */
, _tokens["default"].datetimepicker.calendar.tile.text.color.neighbor);

var _default = {
  Container: Container
};
exports["default"] = _default;