"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _MIXINS = _interopRequireDefault(require("../../../constants/MIXINS"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "DropdownMenuStyles__Container",
  componentId: "sc-1vktf9v-0"
})(["position:fixed;opacity:1;pointer-events:auto;border:1px solid ", ";z-index:1000;background-color:", ";padding:4px 0;", " ", " ", " ", " ", " ", " ", ""], _tokens["default"].dropdown.menu.border.color, _tokens["default"].dropdown.menu.background.color, _MIXINS["default"].defaultBoxShadow, function (props) {
  return props.position.left ? "left: ".concat(props.position.left, "px;") : '';
}, function (props) {
  return props.position.top ? "top: ".concat(props.position.top, "px;") : '';
}, function (props) {
  return props.position.bottom ? "bottom: ".concat(props.position.bottom, "px;") : '';
}, function (props) {
  return props.position.right ? "right: ".concat(props.position.right, "px;") : '';
}, function (props) {
  return props.hidden ? 'display: none;' : '';
}, function (props) {
  return props.mixins;
});

Container.displayName = 'DropdownMenu__container';

var Header = _styledComponents["default"].span.withConfig({
  displayName: "DropdownMenuStyles__Header",
  componentId: "sc-1vktf9v-1"
})(["color:", ";font-family:", ";font-size:", ";font-weight:", ";padding-left:16px;cursor:default;"], _tokens["default"].dropdown.menu.header.color, _tokens["default"].dropdown.menu.header.family, _tokens["default"].dropdown.menu.header.size, _tokens["default"].dropdown.menu.header.weight);

Header.displayName = 'DropdownMenu__header';
var _default = {
  Container: Container,
  Header: Header
};
exports["default"] = _default;