"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.applyFilters = void 0;

var _toArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toArray"));

var applyFilters = function applyFilters(collection, _ref) {
  var _ref2 = (0, _toArray2["default"])(_ref),
      currentFilter = _ref2[0],
      restFilters = _ref2.slice(1);

  if (currentFilter) {
    var filteredCollection = collection.filter(currentFilter.filterFn);
    return applyFilters(filteredCollection, restFilters);
  }

  return collection;
};

exports.applyFilters = applyFilters;