"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFilterFn = void 0;

var _utils = require("../utils");

var getFilterFn = function getFilterFn(comparator, keyPath, argument) {
  return function (candidate) {
    var result = (0, _utils.findValueFromPath)(keyPath, candidate);

    if (result === null) {
      return true;
    }

    return comparator && comparator(result, argument);
  };
};

exports.getFilterFn = getFilterFn;