"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.doesArgumentFailSanityCheck = void 0;

var _sanityChecks = require("../sanityChecks");

var doesArgumentFailSanityCheck = function doesArgumentFailSanityCheck(argument, comparator) {
  var sanityChecked = _sanityChecks.sanityChecks[comparator.name];

  if (sanityChecked) {
    return sanityChecked(argument);
  }

  return false;
};

exports.doesArgumentFailSanityCheck = doesArgumentFailSanityCheck;