"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.areType = exports.isDateObject = exports.isArray = exports.isNumber = exports.isString = void 0;

var isString = function isString(argument) {
  return typeof argument === 'string';
};

exports.isString = isString;

var isNumber = function isNumber(argument) {
  return typeof argument === 'number';
};

exports.isNumber = isNumber;

var isArray = function isArray(argument) {
  return Array.isArray(argument);
};

exports.isArray = isArray;

var isDateObject = function isDateObject(argument) {
  return Object.prototype.toString.call(argument) === '[object Date]';
};

exports.isDateObject = isDateObject;

var areType = function areType(candidates, evaluator) {
  return candidates.every(evaluator);
};

exports.areType = areType;