"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "FieldStyles__Container",
  componentId: "sc-1x7yuq0-0"
})(["display:flex;justify-content:flex-start;align-items:center;min-height:40px;"]);

var LabelWrapper = _styledComponents["default"].div.withConfig({
  displayName: "FieldStyles__LabelWrapper",
  componentId: "sc-1x7yuq0-1"
})(["display:flex;align-items:center;justify-content:flex-end;flex:0 0 25%;margin:0 10px 0 0;padding-right:20px;min-height:42px;color:", ";font-size:", ";font-weight:", ";font-family:", ";letter-spacing:1px;text-transform:uppercase;"], _tokens["default"].form.field.label.text.color, _tokens["default"].form.field.label.text.size, _tokens["default"].form.field.label.text.weight, _tokens["default"].form.field.label.text.family);

var Label = _styledComponents["default"].span.withConfig({
  displayName: "FieldStyles__Label",
  componentId: "sc-1x7yuq0-2"
})(["display:flex;flex-direction:column;align-items:flex-end;text-align:end;", ""], function (_ref) {
  var hasHelpText = _ref.hasHelpText;
  return hasHelpText ? 'margin-right: 6px;' : '';
});

var Value = _styledComponents["default"].div.withConfig({
  displayName: "FieldStyles__Value",
  componentId: "sc-1x7yuq0-3"
})(["display:flex;align-items:baseline;padding:5px 0;width:100%;& > div:first-child{flex-grow:2;}"]);

var ValueExtra = _styledComponents["default"].div.withConfig({
  displayName: "FieldStyles__ValueExtra",
  componentId: "sc-1x7yuq0-4"
})(["padding-left:8px;"]);

var _default = {
  Container: Container,
  LabelWrapper: LabelWrapper,
  Label: Label,
  Value: Value,
  ValueExtra: ValueExtra
};
exports["default"] = _default;