"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _reduxForm = require("redux-form");

var _HelpText = _interopRequireDefault(require("../HelpText"));

var _Flag = _interopRequireDefault(require("../Flag"));

var _FieldArrayStyles = _interopRequireDefault(require("./FieldArrayStyles"));

var FieldArray = function FieldArray(_ref) {
  var label = _ref.label,
      name = _ref.name,
      optional = _ref.optional,
      required = _ref.required,
      helpText = _ref.helpText,
      helpTextLink = _ref.helpTextLink,
      renderComponent = _ref.renderComponent;
  return _react["default"].createElement(_FieldArrayStyles["default"].Container, null, label && _react["default"].createElement(_FieldArrayStyles["default"].LabelWrapper, null, _react["default"].createElement(_FieldArrayStyles["default"].Label, {
    hasHelpText: Boolean(helpText)
  }, label, _react["default"].createElement(_Flag["default"], {
    optional: optional,
    required: required
  })), helpText && _react["default"].createElement(_HelpText["default"], {
    helpText: helpText,
    helpTextLink: helpTextLink
  })), _react["default"].createElement(_FieldArrayStyles["default"].Value, null, _react["default"].createElement(_reduxForm.FieldArray, {
    name: name,
    component: renderComponent
  })));
};

var _default = FieldArray;
exports["default"] = _default;