"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _reduxForm = require("redux-form");

var _FormStyles = _interopRequireDefault(require("./FormStyles"));

var Form =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Form, _React$Component);

  function Form() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Form);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Form)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "submitForm", function (values) {
      var _this$props = _this.props,
          onSubmit = _this$props.onSubmit,
          initialize = _this$props.initialize,
          reset = _this$props.reset;
      return new Promise(function (resolve) {
        resolve(onSubmit(values));
        initialize(values);
        reset();
      });
    });
    return _this;
  }

  (0, _createClass2["default"])(Form, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          form = _this$props2.form,
          error = _this$props2.error,
          fixedFooter = _this$props2.fixedFooter,
          handleSubmit = _this$props2.handleSubmit; // redux-form props

      var children = this.props.children; // Our props

      return _react["default"].createElement(_FormStyles["default"].Container, {
        "data-qa-id": "Form__".concat(form)
      }, _react["default"].createElement(_FormStyles["default"].Form, {
        onSubmit: handleSubmit(this.submitForm)
      }, _react["default"].Children.map(children, function (child) {
        return _react["default"].cloneElement(child, {
          fixedFooter: fixedFooter,
          formState: _this2.formState
        });
      })), error && _react["default"].createElement(_FormStyles["default"].FormError, null, error));
    }
  }, {
    key: "formState",
    get: function get() {
      var _this$props3 = this.props,
          dirty = _this$props3.dirty,
          submitting = _this$props3.submitting,
          error = _this$props3.error,
          invalid = _this$props3.invalid;
      return {
        dirty: dirty,
        submitting: submitting,
        error: error,
        invalid: invalid
      };
    }
  }]);
  return Form;
}(_react["default"].Component);

var _default = (0, _reduxForm.reduxForm)({
  touchOnChange: true
})(Form);

exports["default"] = _default;