"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "FormStyles__Container",
  componentId: "sc-1sff2am-0"
})(["display:flex;flex-direction:column;align-items:flex-end;height:100%;"]);

var Form = _styledComponents["default"].form.withConfig({
  displayName: "FormStyles__Form",
  componentId: "sc-1sff2am-1"
})(["width:100%;height:100%;position:relative;"]);

var FormError = _styledComponents["default"].div.withConfig({
  displayName: "FormStyles__FormError",
  componentId: "sc-1sff2am-2"
})([""]);

var _default = {
  Container: Container,
  Form: Form,
  FormError: FormError
};
exports["default"] = _default;