"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _FormContentStyles = _interopRequireDefault(require("./FormContentStyles"));

var FormContent = function FormContent(_ref) {
  var fixedFooter = _ref.fixedFooter,
      formState = _ref.formState,
      children = _ref.children;
  return _react["default"].createElement(_FormContentStyles["default"].FormContent, {
    fixedFooter: fixedFooter,
    "data-qa-id": "Form__Content"
  }, _react["default"].Children.map(children, function (child) {
    return _react["default"].cloneElement(child, {
      formState: formState
    });
  }));
};

var _default = FormContent;
exports["default"] = _default;