"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _FormFooterStyles = _interopRequireDefault(require("./FormFooterStyles"));

var FormFooter = function FormFooter(_ref) {
  var fixedFooter = _ref.fixedFooter,
      formState = _ref.formState,
      children = _ref.children;
  return _react["default"].createElement(_FormFooterStyles["default"].FormFooter, {
    fixedFooter: fixedFooter,
    "data-qa-id": "Form__Footer"
  }, _react["default"].Children.map(children, function (child) {
    return _react["default"].cloneElement(child, {
      formState: formState
    });
  }));
};

var _default = FormFooter;
exports["default"] = _default;