"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var FormFooter = _styledComponents["default"].div.withConfig({
  displayName: "FormFooterStyles__FormFooter",
  componentId: "sc-13lksve-0"
})(["display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;margin-top:20px;", ""], function (_ref) {
  var fixedFooter = _ref.fixedFooter;
  return fixedFooter ? "\n    position: absolute;\n    bottom: 0px;\n    height: 70px;\n    left: 0px;\n    right: 0px;\n    overflow: hidden;\n    box-shadow: 0px -5px 10px 0px ".concat(_tokens["default"].form.footer.boxShadow.color, ";\n  ") : '';
});

var FormFooterLeft = _styledComponents["default"].div.withConfig({
  displayName: "FormFooterStyles__FormFooterLeft",
  componentId: "sc-13lksve-1"
})(["display:flex;align-items:center;justify-content:flex-start;flex-wrap:wrap;"]);

var FormFooterRight = _styledComponents["default"].div.withConfig({
  displayName: "FormFooterStyles__FormFooterRight",
  componentId: "sc-13lksve-2"
})(["display:flex;align-items:center;justify-content:flex-end;flex-wrap:wrap;"]);

var _default = {
  FormFooter: FormFooter,
  FormFooterLeft: FormFooterLeft,
  FormFooterRight: FormFooterRight
};
exports["default"] = _default;