"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../../Icon"));

var _ICONS = _interopRequireDefault(require("../../../constants/ICONS"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _FormSectionStyles = _interopRequireDefault(require("./FormSectionStyles"));

var FormSection =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(FormSection, _React$Component);

  function FormSection() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, FormSection);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(FormSection)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      collapsed: false
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "toggleCollapse", function () {
      _this.setState(function (_ref) {
        var collapsed = _ref.collapsed;
        return {
          collapsed: !collapsed
        };
      });
    });
    return _this;
  }

  (0, _createClass2["default"])(FormSection, [{
    key: "render",
    value: function render() {
      var collapsed = this.state.collapsed;
      var _this$props = this.props,
          header = _this$props.header,
          children = _this$props.children,
          mixins = _this$props.mixins;
      return _react["default"].createElement(_FormSectionStyles["default"].Container, {
        "data-qa-id": "FormSection",
        mixins: mixins
      }, _react["default"].createElement(_FormSectionStyles["default"].Header, {
        "data-qa-id": "FormSection__Header",
        onClick: this.toggleCollapse
      }, _react["default"].createElement(_Icon["default"], {
        size: 10,
        icon: _ICONS["default"]['caret-down'],
        mixins: [collapsed ? 'transform: rotate(-90deg);' : ''],
        color: _tokens["default"].form.section.icon.color
      }), header), _react["default"].createElement(_FormSectionStyles["default"].Body, {
        "data-qa-id": "FormSection__Body",
        collapsed: collapsed
      }, children));
    }
  }]);
  return FormSection;
}(_react["default"].Component);

exports["default"] = FormSection;