"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Label = _interopRequireDefault(require("../../Label"));

var FormStateLabel = function FormStateLabel(_ref) {
  var _ref$formState = _ref.formState,
      dirty = _ref$formState.dirty,
      error = _ref$formState.error;
  return _react["default"].createElement(_Label["default"], {
    error: error,
    warning: dirty,
    success: !error && !dirty,
    capitalise: true
  }, error ? 'error' : dirty ? 'modified' : 'saved');
};

var _default = FormStateLabel;
exports["default"] = _default;