"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _MegaModalStyles = _interopRequireDefault(require("./MegaModalStyles"));

var ESCAPE = 27;
var megaModalRoot = document.body;

var MegaModal =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(MegaModal, _React$Component);

  function MegaModal(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, MegaModal);
    _this = (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(MegaModal).call(this, props));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "setMegaModalRef", function (node) {
      _this.megaModalRef = node;
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleClickOutside", function (event) {
      var _this$props = _this.props,
          show = _this$props.show,
          onHide = _this$props.onHide;

      if (show && _this.megaModalRef && !_this.megaModalRef.contains(event.target)) {
        onHide();
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleKeyPress", function (event) {
      var onHide = _this.props.onHide;

      if (event.keyCode === ESCAPE) {
        onHide();
      }
    });
    _this.el = document.createElement('div');
    megaModalRoot && megaModalRoot.appendChild(_this.el);
    return _this;
  }

  (0, _createClass2["default"])(MegaModal, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      document.addEventListener('mousedown', this.handleClickOutside);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      document.removeEventListener('mousedown', this.handleClickOutside);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          show = _this$props2.show,
          onHide = _this$props2.onHide,
          loadPreviousItem = _this$props2.loadPreviousItem,
          loadNextItem = _this$props2.loadNextItem,
          previousText = _this$props2.previousText,
          nextText = _this$props2.nextText,
          children = _this$props2.children;

      if (show) {
        return _reactDom["default"].createPortal(_react["default"].createElement(_MegaModalStyles["default"].Container, {
          onKeyPress: this.handleKeyPress
        }, _react["default"].createElement(_MegaModalStyles["default"].MegaModalWrapper, {
          ref: this.setMegaModalRef
        }, _react["default"].Children.map(children, function (child) {
          return _react["default"].cloneElement(child, {
            onHide: onHide,
            loadPreviousItem: loadPreviousItem,
            loadNextItem: loadNextItem,
            previousText: previousText,
            nextText: nextText
          });
        }))), this.el);
      }

      return null;
    }
  }]);
  return MegaModal;
}(_react["default"].Component);

exports["default"] = MegaModal;