"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalBodyStyles__Container",
  componentId: "sc-8ny6md-0"
})(["overflow-y:auto;display:flex;flex-direction:column;"]);

var BodyWrapper = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalBodyStyles__BodyWrapper",
  componentId: "sc-8ny6md-1"
})(["background-color:", ";padding:15px 20px;"], _tokens["default"].megaModal.body.background.color);

var FakeMargin = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalBodyStyles__FakeMargin",
  componentId: "sc-8ny6md-2"
})(["min-height:50px;"]);

var _default = {
  Container: Container,
  BodyWrapper: BodyWrapper,
  FakeMargin: FakeMargin
};
exports["default"] = _default;