"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _MegaModal = _interopRequireDefault(require("./MegaModal"));

var _MegaModalHeader = _interopRequireDefault(require("./MegaModalHeader"));

var _MegaModalBody = _interopRequireDefault(require("./MegaModalBody"));

var withMegaModal = function withMegaModal(WrappedHeaderComponent, WrappedBodyComponent) {
  var WithMegaModal = function WithMegaModal(_ref) {
    var show = _ref.show,
        onHide = _ref.onHide,
        loadPreviousItem = _ref.loadPreviousItem,
        loadNextItem = _ref.loadNextItem,
        _ref$previousText = _ref.previousText,
        previousText = _ref$previousText === void 0 ? 'Previous' : _ref$previousText,
        _ref$nextText = _ref.nextText,
        nextText = _ref$nextText === void 0 ? 'Next' : _ref$nextText,
        otherProps = (0, _objectWithoutProperties2["default"])(_ref, ["show", "onHide", "loadPreviousItem", "loadNextItem", "previousText", "nextText"]);
    return _react["default"].createElement(_MegaModal["default"], {
      show: show,
      onHide: onHide,
      loadPreviousItem: loadPreviousItem,
      loadNextItem: loadNextItem,
      previousText: previousText,
      nextText: nextText
    }, _react["default"].createElement(_MegaModalHeader["default"], null, _react["default"].createElement(WrappedHeaderComponent, otherProps)), _react["default"].createElement(_MegaModalBody["default"], null, _react["default"].createElement(WrappedBodyComponent, otherProps)));
  };

  WithMegaModal.displayName = 'something';
  return WithMegaModal;
};

var _default = withMegaModal;
exports["default"] = _default;