"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var Styles = _interopRequireWildcard(require("./NavbarContent.styles"));

var NavbarContent = function NavbarContent(_ref) {
  var expanded = _ref.expanded,
      closeNavbar = _ref.closeNavbar,
      children = _ref.children;
  return _react["default"].createElement(Styles.NavbarContent, {
    "data-qa-id": "NavbarContent"
  }, _react["default"].Children.map(children, function (child) {
    return _react["default"].cloneElement(child, {
      inContentBlock: true,
      expanded: expanded,
      closeNavbar: closeNavbar
    });
  }));
};

var _default = NavbarContent;
exports["default"] = _default;