"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Bar = exports.NavbarProgress = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _constants = require("../constants.styles");

var NavbarProgress = _styledComponents["default"].div.withConfig({
  displayName: "NavbarProgressstyles__NavbarProgress",
  componentId: "k7qdft-0"
})(["display:flex;height:3px;width:calc(50% - 5px);background-color:", ";overflow:hidden;position:absolute;top:34px;left:", "px;", ""], _tokens["default"].navbar.progress.background.color["default"], function (_ref) {
  var expanded = _ref.expanded;
  return expanded ? 57 : 23;
}, _constants.leftAnimation);

exports.NavbarProgress = NavbarProgress;

var Bar = _styledComponents["default"].div.withConfig({
  displayName: "NavbarProgressstyles__Bar",
  componentId: "k7qdft-1"
})(["height:100%;display:flex;align-items:center;justify-content:center;color:", ";font-size:", ";font-weight:", ";letter-spacing:1px;background-color:", ";width:", "%;"], _tokens["default"].navbar.progress.text.color, _tokens["default"].navbar.progress.text.size, _tokens["default"].navbar.progress.text.color.weight, _tokens["default"].navbar.progress.background.color.active, function (_ref2) {
  var progress = _ref2.progress;
  return progress;
});

exports.Bar = Bar;