"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.leftAnimation = exports.marginAnimation = exports.widthAnimation = exports.height = exports.width = exports.expandedWidth = exports.collapsedWidth = void 0;

var _styledComponents = require("styled-components");

var collapsedWidth = 70;
exports.collapsedWidth = collapsedWidth;
var expandedWidth = 170;
exports.expandedWidth = expandedWidth;

var width = function width(expanded) {
  return expanded ? expandedWidth : collapsedWidth;
};

exports.width = width;
var height = 100;
exports.height = height;
var animationSpeed = '0.20s';
var widthAnimation = (0, _styledComponents.css)(["-webkit-transition:width ", " ease-in-out;-moz-transition:width ", " ease-in-out;-o-transition:width ", " ease-in-out;transition:width ", " ease-in-out;"], animationSpeed, animationSpeed, animationSpeed, animationSpeed);
exports.widthAnimation = widthAnimation;
var marginAnimation = (0, _styledComponents.css)(["-webkit-transition:margin ", ";-moz-transition:margin ", ";-o-transition:margin ", ";transition:margin ", ";"], animationSpeed, animationSpeed, animationSpeed, animationSpeed);
exports.marginAnimation = marginAnimation;
var leftAnimation = (0, _styledComponents.css)(["-webkit-transition:left ", ";-moz-transition:left ", ";-o-transition:left ", ";transition:left ", ";"], animationSpeed, animationSpeed, animationSpeed, animationSpeed);
exports.leftAnimation = leftAnimation;