"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderIconDecoration = void 0;

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var renderIconDecoration = function renderIconDecoration(getIcon) {
  return function (props, small, large, option) {
    return _react["default"].createElement(_Icon["default"], {
      icon: getIcon(props, small, large, option),
      size: small && !option ? 12 : 16,
      color: option ? _tokens["default"].select.option.icon.color : _tokens["default"].select.value[props.isMulti ? 'pill' : 'single'].icon.color
    });
  };
};

exports.renderIconDecoration = renderIconDecoration;