"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _TrainStyles = _interopRequireDefault(require("./TrainStyles"));

var Train =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Train, _React$Component);

  function Train() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Train);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Train)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleRef", function (node) {
      return _this.node = node;
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "addDocumentMouseMoveListener", function () {
      _this.removeDocumentMouseMoveListener();

      _this.node.ownerDocument.addEventListener('mousemove', _this.handleMouseMove);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "addDocumentMouseUpListener", function () {
      _this.removeDocumentMouseUpListener();

      _this.node.ownerDocument.addEventListener('mouseup', _this.handleMouseUp);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "removeDocumentMouseMoveListener", function () {
      _this.node.ownerDocument.removeEventListener('mousemove', _this.handleMouseMove);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "removeDocumentMouseUpListener", function () {
      _this.node.ownerDocument.removeEventListener('mouseup', _this.handleMouseUp);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseDown", function (event) {
      event.stopPropagation();

      _this.props.onTrainDrag(event);

      _this.addDocumentMouseMoveListener();

      _this.addDocumentMouseUpListener();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseUp", function (event) {
      _this.removeDocumentMouseMoveListener();

      _this.removeDocumentMouseUpListener();

      _this.props.onTrainRelease(event);
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseMove", function (event) {
      _this.props.onTrainDrag(event);
    });
    return _this;
  }

  (0, _createClass2["default"])(Train, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          percentage = _this$props.percentage,
          disabled = _this$props.disabled;
      return _react["default"].createElement(_TrainStyles["default"].Container, {
        ref: this.handleRef,
        percentage: percentage
      }, _react["default"].createElement(_TrainStyles["default"].Train, {
        draggable: "false",
        onMouseDown: this.handleMouseDown,
        role: "train",
        tabIndex: "0",
        disabled: disabled
      }));
    }
  }]);
  return Train;
}(_react["default"].Component);

exports["default"] = Train;