"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var trainHeight = 20;
var trainWidth = 5;

var Container = _styledComponents["default"].span.withConfig({
  displayName: "TrainStyles__Container",
  componentId: "irbk8q-0"
})(["transition:left 0.3s ease-out;", ""], function (_ref) {
  var percentage = _ref.percentage;
  return "\n    position: absolute;\n    left: ".concat((percentage || 0) * 100, "%;\n  ");
});

var Train = _styledComponents["default"].div.withConfig({
  displayName: "TrainStyles__Train",
  componentId: "irbk8q-1"
})(["background:", ";cursor:", ";display:block;height:", "px;margin-left:", "px;margin-top:", "px;outline:none;position:absolute;top:50%;transition:transform 0.3s ease-out,box-shadow 0.3s ease-out;width:", "px;&:active{transform:scale(1.2);}&:focus{box-shadow:0 0 0 5px 'pink';}", ""], _tokens["default"].slider.color.active, function (_ref2) {
  var disabled = _ref2.disabled;
  return disabled ? 'not-allowed' : 'pointer';
}, trainHeight, trainWidth / -2, 5 / -2 + trainHeight / -2, trainWidth, function (_ref3) {
  var disabled = _ref3.disabled;
  return disabled ? "\n    box-shadow: none;\n    transform: none;\n  " : '';
});

var _default = {
  Container: Container,
  Train: Train
};
exports["default"] = _default;