"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var _switch = require("../../tokens/switch");

var _SwitchStyles = _interopRequireDefault(require("./SwitchStyles"));

var Switch =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Switch, _React$Component);

  function Switch() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Switch);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Switch)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      activeIdx: _this.props.initialIdx === 0 ? 0 : _this.props.initialIdx || null
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOnClick", function (idx) {
      return function () {
        var _this$props = _this.props,
            onChange = _this$props.onChange,
            disabled = _this$props.disabled;

        if (!disabled) {
          _this.setState({
            activeIdx: idx
          });

          onChange && onChange(idx);
        }
      };
    });
    return _this;
  }

  (0, _createClass2["default"])(Switch, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props2 = this.props,
          labels = _this$props2.labels,
          externalActiveIdx = _this$props2.activeIdx,
          controlExternally = _this$props2.controlExternally,
          disabled = _this$props2.disabled;
      var internalActiveIdx = this.state.activeIdx;
      var activeIdx = controlExternally ? externalActiveIdx : internalActiveIdx;
      return _react["default"].createElement(_SwitchStyles["default"].Container, {
        disabled: disabled
      }, labels.map(function (label, i) {
        var active = activeIdx === i;
        var left = i === 0;
        var right = i === labels.length - 1;
        return _react["default"].createElement(_SwitchStyles["default"].SwitchItem, {
          key: i,
          onClick: _this2.handleOnClick(i),
          active: active,
          left: left,
          right: right,
          currentIdx: i,
          activeIdx: activeIdx,
          disabled: disabled
        }, label.icon && _react["default"].createElement(_Icon["default"], {
          icon: label.icon,
          color: _tokens["default"]["switch"].color[(0, _switch.getSwitchState)(active)],
          size: 10
        }), label.text && _react["default"].createElement(_SwitchStyles["default"].Text, {
          active: active
        }, label.text));
      }));
    }
  }]);
  return Switch;
}(_react["default"].Component);

exports["default"] = Switch;