"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _CellStyles = _interopRequireDefault(require("./CellStyles"));

var Cell = function Cell(_ref) {
  var disabled = _ref.disabled,
      children = _ref.children,
      alignment = _ref.alignment,
      otherProps = (0, _objectWithoutProperties2["default"])(_ref, ["disabled", "children", "alignment"]);
  return _react["default"].createElement(_CellStyles["default"].Container, (0, _extends2["default"])({
    alignment: alignment,
    disabled: disabled
  }, otherProps), children);
};

var _default = Cell;
exports["default"] = _default;