"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _ToggleSmall = _interopRequireDefault(require("./ToggleSmall"));

var _ToggleLarge = _interopRequireDefault(require("./ToggleLarge"));

var Toggle =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Toggle, _React$Component);

  function Toggle(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, Toggle);
    _this = (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(Toggle).call(this, props));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOnChange", function () {
      var _this$props = _this.props,
          onChange = _this$props.onChange,
          disabled = _this$props.disabled,
          checkedExternal = _this$props.checked,
          controlExternally = _this$props.controlExternally;

      if (!disabled) {
        if (controlExternally) {
          onChange && onChange(!checkedExternal);
        } else {
          _this.setState(function (prevState) {
            onChange && onChange(!prevState.checked);
            return {
              checked: !prevState.checked
            };
          });
        }
      }
    });
    _this.state = {
      checked: Boolean(props.checked)
    };
    return _this;
  }

  (0, _createClass2["default"])(Toggle, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          size = _this$props2.size,
          disabled = _this$props2.disabled,
          controlExternally = _this$props2.controlExternally,
          checkedExternal = _this$props2.checked;
      var checkedInternal = this.state.checked;
      var checked = controlExternally ? checkedExternal : checkedInternal;

      if (size === 'small') {
        return _react["default"].createElement(_ToggleSmall["default"], {
          disabled: disabled,
          checked: checked,
          onChange: this.handleOnChange
        });
      }

      return _react["default"].createElement(_ToggleLarge["default"], {
        size: size,
        disabled: disabled,
        checked: checked,
        onChange: this.handleOnChange
      });
    }
  }]);
  return Toggle;
}(_react["default"].Component);

exports["default"] = Toggle;
(0, _defineProperty2["default"])(Toggle, "defaultProps", {
  size: 'medium',
  disabled: false,
  checked: false
});