"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _ToggleLargeStyles = _interopRequireDefault(require("./ToggleLargeStyles"));

var ToggleLarge = function ToggleLarge(_ref) {
  var size = _ref.size,
      onChange = _ref.onChange,
      checked = _ref.checked,
      disabled = _ref.disabled;
  return _react["default"].createElement(_ToggleLargeStyles["default"].Label, {
    checked: checked,
    size: size,
    disabled: disabled
  }, _react["default"].createElement(_ToggleLargeStyles["default"].Wrapper, {
    size: size
  }, _react["default"].createElement(_ToggleLargeStyles["default"].Input, {
    onChange: onChange,
    type: "checkbox"
  }), _react["default"].createElement(_ToggleLargeStyles["default"].Slider, {
    checked: checked,
    size: size
  })), _react["default"].createElement(_ToggleLargeStyles["default"].Text, {
    size: size
  }, checked ? 'enabled' : 'disabled'));
};

var _default = ToggleLarge;
exports["default"] = _default;