"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireDefault(require("react"));

var _BaseText = _interopRequireDefault(require("../../BaseText"));

var _tokens = _interopRequireWildcard(require("../../../../tokens"));

var Card =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inherits2["default"])(Card, _React$PureComponent);

  function Card() {
    (0, _classCallCheck2["default"])(this, Card);
    return (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(Card).apply(this, arguments));
  }

  (0, _createClass2["default"])(Card, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          mixins = _this$props.mixins,
          otherProps = (0, _objectWithoutProperties2["default"])(_this$props, ["children", "mixins"]);
      return _react["default"].createElement(_BaseText["default"], (0, _extends2["default"])({
        fontFamily: this.fontFamily,
        fontSize: this.fontSize,
        fontWeight: this.fontWeight,
        textTransform: this.textTransform,
        color: this.color,
        mixins: mixins
      }, otherProps), children);
    }
  }, {
    key: "fontSize",
    get: function get() {
      return _tokens.FontConstants.size.medium;
    }
  }, {
    key: "fontFamily",
    get: function get() {
      return _tokens.FontConstants.family["default"];
    }
  }, {
    key: "fontWeight",
    get: function get() {
      return _tokens.FontConstants.weight.medium;
    }
  }, {
    key: "textTransform",
    get: function get() {
      return null;
    }
  }, {
    key: "color",
    get: function get() {
      return _tokens["default"].colors.text.cardHeader;
    }
  }]);
  return Card;
}(_react["default"].PureComponent);

exports["default"] = Card;