"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _BaseText = _interopRequireDefault(require("../../BaseText"));

var _tokens = _interopRequireWildcard(require("../../../../tokens"));

var PageTitle =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inherits2["default"])(PageTitle, _React$PureComponent);

  function PageTitle() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, PageTitle);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(PageTitle)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "checkProps", function () {
      var _this$props = _this.props,
          huge = _this$props.huge,
          big = _this$props.big,
          normal = _this$props.normal;

      if (huge, normal && big) {
        throw new Error();
      }

      if (!huge && !normal && !big) {
        throw new Error();
      }
    });
    return _this;
  }

  (0, _createClass2["default"])(PageTitle, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.checkProps();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate() {
      this.checkProps();
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          children = _this$props2.children,
          mixins = _this$props2.mixins,
          otherProps = (0, _objectWithoutProperties2["default"])(_this$props2, ["children", "mixins"]);
      return _react["default"].createElement(_BaseText["default"], (0, _extends2["default"])({
        fontFamily: this.fontFamily,
        fontSize: this.fontSize,
        fontWeight: this.fontWeight,
        textTransform: this.textTransform,
        color: this.color,
        mixins: mixins
      }, otherProps), children);
    }
  }, {
    key: "fontSize",
    get: function get() {
      var _this$props3 = this.props,
          huge = _this$props3.huge,
          big = _this$props3.big,
          normal = _this$props3.normal;

      if (huge) {
        return _tokens.FontConstants.size.xlarge;
      }

      if (big) {
        return _tokens.FontConstants.size.large;
      }

      if (normal) {
        return _tokens.FontConstants.size.medium;
      }

      return _tokens.FontConstants.size["default"];
    }
  }, {
    key: "fontFamily",
    get: function get() {
      return _tokens.FontConstants.family["default"];
    }
  }, {
    key: "fontWeight",
    get: function get() {
      return _tokens.FontConstants.weight.medium;
    }
  }, {
    key: "textTransform",
    get: function get() {
      return null;
    }
  }, {
    key: "color",
    get: function get() {
      var inverse = this.props.inverse;

      if (inverse) {
        return _tokens["default"].colors.text.dark;
      } // TODO: This needs designing, currently just a placeholder


      return _tokens["default"].colors.text.secondary;
    }
  }]);
  return PageTitle;
}(_react["default"].PureComponent);

exports["default"] = PageTitle;