"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FontConstants = exports.fonts = void 0;
var fonts = {
  family: {
    "default": '\'Inter UI\', sans-serif',
    code: 'Menlo, monospace'
  },
  size: {
    "default": '14px',
    xsmall: '9px',
    small: '12px',
    medium: '14px',
    large: '16px',
    xlarge: '24px'
  },
  weight: {
    "default": 500,
    regular: 400,
    medium: 500,
    bold: 600
  }
};
exports.fonts = fonts;
var FontConstants = {
  size: {
    "default": 'default',
    xsmall: 'xsmall',
    small: 'small',
    medium: 'medium',
    large: 'large',
    xlarge: 'xlarge'
  },
  weight: {
    "default": 'default',
    regular: 'regular',
    medium: 'medium',
    bold: 'bold'
  },
  family: {
    "default": 'default',
    code: 'code'
  },
  textTransform: {
    upperCase: 'uppercase',
    lowerCase: 'lowercase',
    sentenceCase: 'sentence-case'
  }
};
exports.FontConstants = FontConstants;