"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.megaModal = void 0;

var _colors = require("./colors");

var _fonts = require("./fonts");

var megaModal = {
  header: {
    background: {
      color: _colors.colors.secondary800
    }
  },
  body: {
    background: {
      color: _colors.colors.background.light
    }
  },
  navigation: {
    text: {
      color: _colors.colors.text.dark,
      size: _fonts.fonts.size.medium
    },
    icon: {
      color: {
        previous: _colors.colors.white,
        next: _colors.colors.white,
        close: _colors.colors.white
      }
    }
  }
};
exports.megaModal = megaModal;