"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.switchTokens = exports.getSwitchState = exports.SwitchConstants = void 0;

var _colors = require("./colors");

var _fonts = require("./fonts");

var states = {
  active: 'active',
  inactive: 'inactive'
};
var SwitchConstants = {
  states: states
};
exports.SwitchConstants = SwitchConstants;

var getSwitchState = function getSwitchState(active) {
  return active ? SwitchConstants.states.active : SwitchConstants.states.inactive;
}; // Annoyingly can't have switch as a variable name


exports.getSwitchState = getSwitchState;
var switchTokens = {
  text: {
    family: _fonts.fonts.family["default"],
    size: _fonts.fonts.size.xsmall,
    weight: _fonts.fonts.weight.medium
  },
  color: {
    active: _colors.colors.black,
    inactive: _colors.colors.secondary400
  }
};
exports.switchTokens = switchTokens;