"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireDefault(require("react"));

var _BaseText = _interopRequireDefault(require("../Typography/BaseText"));

var _tokens = require("../../tokens");

var ButtonText =
/*#__PURE__*/
function (_React$PureComponent) {
  (0, _inherits2["default"])(ButtonText, _React$PureComponent);

  function ButtonText() {
    (0, _classCallCheck2["default"])(this, ButtonText);
    return (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(ButtonText).apply(this, arguments));
  }

  (0, _createClass2["default"])(ButtonText, [{
    key: "render",
    value: function render() {
      var children = this.props.children;
      return _react["default"].createElement(_BaseText["default"], {
        fontFamily: this.fontFamily,
        fontSize: this.fontSize,
        fontWeight: this.fontWeight,
        textTransform: this.textTransform,
        color: this.color
      }, children);
    }
  }, {
    key: "fontSize",
    get: function get() {
      switch (this.props.size) {
        case _tokens.ButtonConstants.sizes.xsmall:
          return _tokens.FontConstants.size.xsmall;

        case _tokens.ButtonConstants.sizes.small:
          return _tokens.FontConstants.size.xsmall;

        case _tokens.ButtonConstants.sizes.medium:
          return _tokens.FontConstants.size.small;

        case _tokens.ButtonConstants.sizes.large:
          return _tokens.FontConstants.size.medium;

        default:
          return _tokens.FontConstants.size["default"];
      }
    }
  }, {
    key: "fontFamily",
    get: function get() {
      return _tokens.FontConstants.family["default"];
    }
  }, {
    key: "fontWeight",
    get: function get() {
      return _tokens.FontConstants.weight.bold;
    }
  }, {
    key: "textTransform",
    get: function get() {
      return _tokens.FontConstants.textTransform.upperCase;
    }
  }, {
    key: "color",
    get: function get() {
      return 'inherit';
    }
  }]);
  return ButtonText;
}(_react["default"].PureComponent);

exports["default"] = ButtonText;