"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _ICONS = _interopRequireDefault(require("../../constants/ICONS"));

var _Header = _interopRequireDefault(require("../Typography/Header"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var Styles = _interopRequireWildcard(require("./Collapse.styles.js"));

var Collapse =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Collapse, _React$Component);

  function Collapse() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Collapse);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Collapse)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      collapsed: !_this.props.isExpanded
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "toggleCollapse", function () {
      _this.setState(function (_ref) {
        var collapsed = _ref.collapsed;
        return {
          collapsed: !collapsed
        };
      });
    });
    return _this;
  }

  (0, _createClass2["default"])(Collapse, [{
    key: "render",
    value: function render() {
      var collapsed = this.state.collapsed;
      var _this$props = this.props,
          header = _this$props.header,
          children = _this$props.children,
          mixins = _this$props.mixins,
          caretOnRight = _this$props.caretOnRight,
          noTransition = _this$props.noTransition;
      var isHeaderString = typeof header === 'string';
      return _react["default"].createElement(Styles.Container, {
        "data-qa-id": "Collapse",
        mixins: mixins
      }, _react["default"].createElement(Styles.Header, {
        "data-qa-id": "Collapse__Header",
        onClick: this.toggleCollapse,
        caretOnRight: caretOnRight,
        isString: isHeaderString
      }, _react["default"].createElement(Styles.Caret, {
        caretOnRight: caretOnRight
      }, _react["default"].createElement(_Icon["default"], {
        size: 10,
        icon: _ICONS["default"]['caret-down'],
        mixins: [collapsed ? 'transform: rotate(-90deg);' : ''],
        color: _tokens["default"].colors.text.primary,
        activeColor: _tokens["default"].colors.brand500
      })), isHeaderString ? _react["default"].createElement(_Header["default"].Section, {
        big: true,
        primary: true
      }, header) : header), _react["default"].createElement(Styles.Body, {
        "data-qa-id": "Collapse__Body",
        noTransition: noTransition,
        collapsed: collapsed,
        caretOnRight: caretOnRight
      }, children));
    }
  }]);
  return Collapse;
}(_react["default"].Component);

exports["default"] = Collapse;