"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _reactRouterDom = require("react-router-dom");

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "MenuItemStyles__Container",
  componentId: "sc-1s4b44d-0"
})(["display:flex;align-items:center;justify-content:space-between;padding:4px 16px;cursor:pointer;", " ", " ", ""], function (_ref) {
  var disabled = _ref.disabled;
  return disabled ? (0, _styledComponents.css)(["cursor:not-allowed;color:", ";&:hover{background-color:", ";}"], _tokens["default"].dropdown.item.text.color.disabled, _tokens["default"].dropdown.item.hoverColor.disabled) : (0, _styledComponents.css)(["&:hover{background-color:", ";& svg{fill:", ";}}"], _tokens["default"].dropdown.item.hoverColor.enabled, _tokens["default"].dropdown.item.icon.color.hover);
}, function (props) {
  return props.active && "background-color: ".concat(_tokens["default"].dropdown.item.hoverColor.enabled, ";");
}, function (props) {
  return props.mixins;
});

Container.displayName = 'MenuItem__Container';

var Left = _styledComponents["default"].span.withConfig({
  displayName: "MenuItemStyles__Left",
  componentId: "sc-1s4b44d-1"
})(["display:flex;align-items:center;margin-right:20px;"]);

Left.displayName = 'MenuItem__Left';

var Right = _styledComponents["default"].span.withConfig({
  displayName: "MenuItemStyles__Right",
  componentId: "sc-1s4b44d-2"
})(["display:flex;align-items:center;"]);

Right.displayName = 'MenuItem__right';
var Link = (0, _styledComponents.css)(["text-decoration:none;cursor:inherit;"]);
var InternalLink = (0, _styledComponents["default"])(_reactRouterDom.Link).withConfig({
  displayName: "MenuItemStyles__InternalLink",
  componentId: "sc-1s4b44d-3"
})(["", ""], Link);
InternalLink.displayName = 'MenuItem__Link';

var ExternalLink = _styledComponents["default"].a.withConfig({
  displayName: "MenuItemStyles__ExternalLink",
  componentId: "sc-1s4b44d-4"
})(["", ""], Link);

ExternalLink.displayName = 'MenuItem__Link';
var _default = {
  Container: Container,
  Left: Left,
  Right: Right,
  InternalLink: InternalLink,
  ExternalLink: ExternalLink
};
exports["default"] = _default;