"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InnerValueWrapper = exports.TextArea = exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "EditableTextAreastyles__Container",
  componentId: "sc-1s33hs2-0"
})(["width:100%;height:100%;border:1px solid;border-color:", ";&:hover{border-color:", ";}"], function (props) {
  return props.isEditingMode ? _tokens["default"].input.border.color["default"] : _tokens["default"].colors.white;
}, _tokens["default"].input.border.color["default"]);

exports.Container = Container;
Container.displayName = 'EditableTextArea__Container';

var TextArea = _styledComponents["default"].textarea.withConfig({
  displayName: "EditableTextAreastyles__TextArea",
  componentId: "sc-1s33hs2-1"
})(["width:100%;height:calc(100% - 10px);border:0px;color:", ";text-transform:inherit;outline-width:0px;font-family:inherit;font-size:inherit;font-weight:inherit;resize:none;padding:5px;"], _tokens["default"].colors.text.secondary);

exports.TextArea = TextArea;
TextArea.displayName = 'EditableTextArea__TextArea';

var InnerValueWrapper = _styledComponents["default"].div.withConfig({
  displayName: "EditableTextAreastyles__InnerValueWrapper",
  componentId: "sc-1s33hs2-2"
})(["height:100%;white-space:pre-wrap;word-break:break-word;padding:5px 2px;overflow:scroll;"]);

exports.InnerValueWrapper = InnerValueWrapper;