"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FieldWrapper = exports.Label = exports.LabelWrapper = exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "Fieldstyles__Container",
  componentId: "sc-1cj426a-0"
})(["display:flex;justify-content:flex-start;align-items:center;width:100%;", ""], function (_ref) {
  var disabled = _ref.disabled;
  return disabled ? 'opacity: 0.3;' : '';
});

exports.Container = Container;
Container.displayName = 'Field__Container';

var LabelWrapper = _styledComponents["default"].div.withConfig({
  displayName: "Fieldstyles__LabelWrapper",
  componentId: "sc-1cj426a-1"
})(["display:flex;align-items:center;justify-content:space-between;margin-right:10px;padding-right:20px;min-height:42px;width:20%;"]);

exports.LabelWrapper = LabelWrapper;

var Label = _styledComponents["default"].span.withConfig({
  displayName: "Fieldstyles__Label",
  componentId: "sc-1cj426a-2"
})(["color:", ";font-size:", ";font-weight:", ";font-family:", ";letter-spacing:1px;text-transform:uppercase;"], _tokens["default"].form.field.label.text.color, _tokens["default"].form.field.label.text.size, _tokens["default"].form.field.label.text.weight, _tokens["default"].form.field.label.text.family);

exports.Label = Label;
Label.displayName = 'Field__Label';

var FieldWrapper = _styledComponents["default"].div.withConfig({
  displayName: "Fieldstyles__FieldWrapper",
  componentId: "sc-1cj426a-3"
})(["display:flex;align-items:baseline;width:50%;margin-right:10px;> div{width:100%;}"]);

exports.FieldWrapper = FieldWrapper;