"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isClearableValue = void 0;

var isClearableValue = function isClearableValue(argument) {
  if (argument === null || argument === undefined || argument === '') {
    return true;
  }

  if (Array.isArray(argument)) {
    if (argument.length === 0 || argument.every(function (arg) {
      return arg === null || arg === undefined || arg === '';
    })) {
      return true;
    }
  }

  return false;
};

exports.isClearableValue = isClearableValue;