"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Filter = _interopRequireDefault(require("./Filter"));

var _Field = _interopRequireDefault(require("./Field"));

var _Result = _interopRequireDefault(require("./Result"));

var _Setter = _interopRequireDefault(require("./Setter"));

var _Getter = _interopRequireDefault(require("./Getter"));

var createFilter = function createFilter(key) {
  var Context = _react["default"].createContext("filter-".concat(key));

  var Filter = (0, _Filter["default"])(Context);
  Filter.Field = (0, _Field["default"])(Context);
  Filter.Result = (0, _Result["default"])(Context);
  Filter.Setter = (0, _Setter["default"])(Context);
  Filter.Getter = (0, _Getter["default"])(Context);
  return Filter;
};

var _default = createFilter;
exports["default"] = _default;