"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _reduxForm = require("redux-form");

var _HelpText = _interopRequireDefault(require("../HelpText"));

var _Flag = _interopRequireDefault(require("../Flag"));

var _FieldStyles = _interopRequireDefault(require("./FieldStyles"));

var Field = function Field(_ref) {
  var additionalComponent = _ref.additionalComponent,
      component = _ref.component,
      helpText = _ref.helpText,
      helpTextLink = _ref.helpTextLink,
      label = _ref.label,
      name = _ref.name,
      readOnly = _ref.readOnly,
      optional = _ref.optional,
      required = _ref.required,
      type = _ref.type,
      validationFunctions = _ref.validationFunctions,
      componentProps = (0, _objectWithoutProperties2["default"])(_ref, ["additionalComponent", "component", "helpText", "helpTextLink", "label", "name", "readOnly", "optional", "required", "type", "validationFunctions"]);
  return _react["default"].createElement(_FieldStyles["default"].Container, null, label && _react["default"].createElement(_FieldStyles["default"].LabelWrapper, null, _react["default"].createElement(_FieldStyles["default"].Label, {
    hasHelpText: Boolean(helpText)
  }, label, _react["default"].createElement(_Flag["default"], {
    optional: optional,
    required: required
  })), helpText && _react["default"].createElement(_HelpText["default"], {
    helpText: helpText,
    helpTextLink: helpTextLink
  })), _react["default"].createElement(_FieldStyles["default"].Value, null, readOnly ? _react["default"].createElement("div", null, component) : _react["default"].createElement(_reduxForm.Field, (0, _extends2["default"])({
    component: component,
    name: name,
    type: type,
    validate: validationFunctions
  }, componentProps))), additionalComponent && _react["default"].createElement(_FieldStyles["default"].ValueExtra, null, additionalComponent));
};

var _default = Field;
exports["default"] = _default;