"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var StyledDiv = _styledComponents["default"].div.withConfig({
  displayName: "Flag__StyledDiv",
  componentId: "p2r670-0"
})(["font-style:italic;text-transform:capitalize;color:", ";"], _tokens["default"].form.flag.color);

var Flag = function Flag(_ref) {
  var required = _ref.required,
      optional = _ref.optional;
  return required || optional ? _react["default"].createElement(StyledDiv, null, " ", required && '(Required)' || optional && '(Optional)') : null;
};

var _default = Flag;
exports["default"] = _default;