"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _FormFooter = _interopRequireDefault(require("./FormFooter"));

var _FormFooterLeft = _interopRequireDefault(require("./FormFooterLeft"));

var _FormFooterRight = _interopRequireDefault(require("./FormFooterRight"));

var _FormButton = _interopRequireDefault(require("../FormButton"));

var BasicFormFooter = function BasicFormFooter(_ref) {
  var fixedFooter = _ref.fixedFooter,
      formState = _ref.formState,
      defaultText = _ref.defaultText,
      submittingText = _ref.submittingText;
  return _react["default"].createElement(_FormFooter["default"], {
    fixedFooter: fixedFooter,
    formState: formState
  }, _react["default"].createElement(_FormFooterLeft["default"], null), _react["default"].createElement(_FormFooterRight["default"], null, _react["default"].createElement(_FormButton["default"], {
    submitOnClick: true,
    defaultText: !defaultText && !submittingText ? 'Save' : defaultText,
    submittingText: !defaultText && !submittingText ? 'Saving...' : submittingText
  })));
};

var _default = BasicFormFooter;
exports["default"] = _default;