"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _FormHeaderStyles = _interopRequireDefault(require("./FormHeaderStyles"));

var FormHeader = function FormHeader(_ref) {
  var formState = _ref.formState,
      children = _ref.children;
  return _react["default"].createElement(_FormHeaderStyles["default"].FormHeader, {
    "data-qa-id": "Form__Header"
  }, _react["default"].Children.map(children, function (child) {
    return _react["default"].cloneElement(child, {
      formState: formState
    });
  }));
};

var _default = FormHeader;
exports["default"] = _default;