"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _MIXINS = _interopRequireDefault(require("../../../constants/MIXINS"));

var _ANIMATIONS = _interopRequireDefault(require("../../../constants/ANIMATIONS"));

var _Icon = require("../../Icon/Icon");

var Container = _styledComponents["default"].div.withConfig({
  displayName: "FormSectionStyles__Container",
  componentId: "idk9pd-0"
})(["margin:10px 0;padding:10px 0;", ";"], function (_ref) {
  var mixins = _ref.mixins;
  return mixins;
});

var Header = _styledComponents["default"].div.withConfig({
  displayName: "FormSectionStyles__Header",
  componentId: "idk9pd-1"
})(["color:", ";text-transform:uppercase;margin:10px 0;letter-spacing:1px;font-weight:", ";font-family:", ";font-size:", ";user-select:none;cursor:pointer;display:flex;flex-direction:row;align-items:center;& ", "{margin-right:5px;}"], _tokens["default"].form.section.header.text.color, _tokens["default"].form.section.header.text.weight, _tokens["default"].form.section.header.text.family, _tokens["default"].form.section.header.text.size, _Icon.StyledSVG);

var Body = _styledComponents["default"].div.withConfig({
  displayName: "FormSectionStyles__Body",
  componentId: "idk9pd-2"
})(["height:auto;background-color:", ";", " ", ";"], _tokens["default"].form.section.body.background.color, _MIXINS["default"].defaultBoxShadow, function (_ref2) {
  var collapsed = _ref2.collapsed;
  return collapsed ? (0, _styledComponents.css)(["max-height:0;transition:max-height 0.5s cubic-bezier(0,1,0,1);overflow:hidden;"]) : (0, _styledComponents.css)(["max-height:10000px;transition:max-height 1s ease-in;", ""], _ANIMATIONS["default"].delay({
    property: 'overflow',
    startValue: 'hidden',
    endValue: 'visible',
    time: 1.5
  }));
});

var _default = {
  Container: Container,
  Header: Header,
  Body: Body
};
exports["default"] = _default;