"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _hexToRgba = _interopRequireDefault(require("hex-to-rgba"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Container = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalStyles__Container",
  componentId: "sc-1jr6dct-0"
})(["position:fixed;top:0;left:0;height:100%;width:100vw;background-color:", ";overflow:hidden;z-index:99999999;"], _tokens["default"].colors.mask);

var MegaModalWrapper = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalStyles__MegaModalWrapper",
  componentId: "sc-1jr6dct-1"
})(["max-height:calc(100% - 50px);display:flex;flex-direction:column;margin-top:50px;margin-bottom:50px;margin:50px 80px 0;"]);

var _default = {
  Container: Container,
  MegaModalWrapper: MegaModalWrapper
};
exports["default"] = _default;