"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _MegaModalNavigation = _interopRequireDefault(require("../MegaModalNavigation"));

var _MegaModalHeaderStyles = _interopRequireDefault(require("./MegaModalHeaderStyles"));

var MegaModalHeader = function MegaModalHeader(_ref) {
  var onHide = _ref.onHide,
      loadPreviousItem = _ref.loadPreviousItem,
      loadNextItem = _ref.loadNextItem,
      previousText = _ref.previousText,
      nextText = _ref.nextText,
      children = _ref.children;
  return _react["default"].createElement(_MegaModalHeaderStyles["default"].Container, {
    "data-qa-id": "MegaModalHeader"
  }, _react["default"].createElement(_MegaModalNavigation["default"], {
    onHide: onHide,
    loadPreviousItem: loadPreviousItem,
    loadNextItem: loadNextItem,
    previousText: previousText,
    nextText: nextText
  }), _react["default"].createElement(_MegaModalHeaderStyles["default"].Header, null, children));
};

var _default = MegaModalHeader;
exports["default"] = _default;