"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _Icon = _interopRequireDefault(require("../../Icon"));

var _ICONS = _interopRequireDefault(require("../../../constants/ICONS"));

var _MegaModalNavigationStyles = _interopRequireDefault(require("./MegaModalNavigationStyles"));

var MegaModalNavigation = function MegaModalNavigation(_ref) {
  var onHide = _ref.onHide,
      loadPreviousItem = _ref.loadPreviousItem,
      loadNextItem = _ref.loadNextItem,
      previousText = _ref.previousText,
      nextText = _ref.nextText;
  return _react["default"].createElement(_MegaModalNavigationStyles["default"].Actions, null, _react["default"].createElement("div", null), _react["default"].createElement(_MegaModalNavigationStyles["default"].Navigation, null, loadPreviousItem && _react["default"].createElement(_MegaModalNavigationStyles["default"].NavPrevious, {
    onClick: loadPreviousItem
  }, _react["default"].createElement(_Icon["default"], {
    icon: _ICONS["default"].caret,
    color: _tokens["default"].megaModal.navigation.icon.color.previous,
    size: 10,
    mixins: ['transform: rotate(90deg);']
  }), _react["default"].createElement("span", null, previousText)), loadNextItem && _react["default"].createElement(_MegaModalNavigationStyles["default"].NavNext, {
    onClick: loadNextItem
  }, _react["default"].createElement("span", null, nextText), _react["default"].createElement(_Icon["default"], {
    icon: _ICONS["default"].caret,
    color: _tokens["default"].megaModal.navigation.icon.color.next,
    size: 10,
    mixins: ['transform: rotate(-90deg);']
  }))), _react["default"].createElement(_MegaModalNavigationStyles["default"].Close, {
    onClick: onHide
  }, _react["default"].createElement(_Icon["default"], {
    icon: _ICONS["default"].x,
    color: _tokens["default"].megaModal.navigation.icon.color.close,
    size: 10
  })));
};

var _default = MegaModalNavigation;
exports["default"] = _default;