"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var Actions = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalNavigationStyles__Actions",
  componentId: "sc-1ezonzo-0"
})(["display:flex;flex-direction:row;align-items:center;justify-content:space-between;"]);

var Navigation = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalNavigationStyles__Navigation",
  componentId: "sc-1ezonzo-1"
})(["display:flex;flex-direction:row;align-items:center;justify-content:space-between;min-width:120px;color:", ";font-size:", ";font-weight:", ";letter-spacing:2px;"], _tokens["default"].megaModal.navigation.text.color, _tokens["default"].megaModal.navigation.text.size, _tokens["default"].megaModal.navigation.text.weight);

var NavPrevious = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalNavigationStyles__NavPrevious",
  componentId: "sc-1ezonzo-2"
})(["cursor:pointer;margin-right:5px;& span{margin-left:3px;}"]);

var NavNext = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalNavigationStyles__NavNext",
  componentId: "sc-1ezonzo-3"
})(["cursor:pointer;margin-left:5px;& span{margin-right:3px;}"]);

var Close = _styledComponents["default"].div.withConfig({
  displayName: "MegaModalNavigationStyles__Close",
  componentId: "sc-1ezonzo-4"
})(["cursor:pointer;"]);

var _default = {
  Actions: Actions,
  Navigation: Navigation,
  NavPrevious: NavPrevious,
  NavNext: NavNext,
  Close: Close
};
exports["default"] = _default;