"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var Styles = _interopRequireWildcard(require("./MultiLineInput.styles"));

var MultiLineInput =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(MultiLineInput, _React$Component);

  function MultiLineInput() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, MultiLineInput);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(MultiLineInput)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      hasFocus: false
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOnFocus", function (event) {
      var onFocus = _this.props.onFocus;
      onFocus && onFocus(event);

      _this.setState({
        hasFocus: true
      });
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOnBlur", function (event) {
      var onBlur = _this.props.onBlur;
      onBlur && onBlur(event);

      _this.setState({
        hasFocus: false
      });
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleChange", function (event) {
      var onChange = _this.props.onChange;
      var value = event.target.value;
      onChange && onChange(value);
    });
    return _this;
  }

  (0, _createClass2["default"])(MultiLineInput, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          valid = _this$props.valid,
          invalid = _this$props.invalid,
          rows = _this$props.rows,
          autoFocus = _this$props.autoFocus,
          name = _this$props.name,
          value = _this$props.value,
          touched = _this$props.touched,
          error = _this$props.error,
          otherInput = (0, _objectWithoutProperties2["default"])(_this$props, ["valid", "invalid", "rows", "autoFocus", "name", "value", "touched", "error"]);
      var hasFocus = this.state.hasFocus;
      var touchedAndError = touched && Boolean(error);
      return _react["default"].createElement(Styles.Container, {
        error: touchedAndError,
        invalid: invalid,
        valid: valid,
        focused: hasFocus,
        onFocus: this.handleOnFocus,
        onBlur: this.handleOnBlur
      }, _react["default"].createElement("textarea", (0, _extends2["default"])({
        id: name,
        value: value,
        rows: rows,
        autoFocus: autoFocus,
        onChange: this.handleChange
      }, otherInput)));
    }
  }]);
  return MultiLineInput;
}(_react["default"].Component);

exports["default"] = MultiLineInput;