"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../tokens"));

var getBorderColor = function getBorderColor(props) {
  if (props.error) {
    return _tokens["default"].input.border.color.error;
  } else if (props.focused) {
    return _tokens["default"].input.border.color.active;
  }

  return _tokens["default"].input.border.color["default"];
};

var Container = _styledComponents["default"].div.withConfig({
  displayName: "MultiLineInputstyles__Container",
  componentId: "zus115-0"
})(["box-shadow:0 2px 4px 0 ", ";display:flex;align-items:center;& textarea{height:100%;flex-grow:1;padding-left:10px;width:auto;font-family:", ";font-size:", ";color:", ";border:1px solid ", ";border-color:", ";}"], _tokens["default"].input.boxShadow.color, _tokens["default"].input.text.family, _tokens["default"].input.text.size.small, _tokens["default"].input.text.color, _tokens["default"].input.border.color["default"], function (props) {
  return getBorderColor(props);
});

exports.Container = Container;