"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var Styles = _interopRequireWildcard(require("./Navbar.styles"));

var Navbar =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Navbar, _React$Component);

  function Navbar() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Navbar);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Navbar)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      expanded: false
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseEnter", function () {
      _this.openNavbar();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseLeave", function () {
      _this.closeNavbar();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "openNavbar", function () {
      var onNavbarOpen = _this.props.onNavbarOpen;
      onNavbarOpen && onNavbarOpen();

      _this.setState({
        expanded: true
      });
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "closeNavbar", function () {
      var onNavbarClose = _this.props.onNavbarClose;
      onNavbarClose && onNavbarClose();

      _this.setState({
        expanded: false
      });
    });
    return _this;
  }

  (0, _createClass2["default"])(Navbar, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var children = this.props.children;
      var expanded = this.state.expanded;
      return [_react["default"].createElement(Styles.NavbarPlaceHolder, {
        key: "navbar-placeholder"
      }), _react["default"].createElement(Styles.Navbar, {
        key: "navbar",
        expanded: expanded,
        onMouseEnter: this.handleMouseEnter,
        onMouseLeave: this.handleMouseLeave,
        "data-qa-id": "Navbar"
      }, _react["default"].Children.map(children, function (child) {
        return _react["default"].cloneElement(child, {
          expanded: expanded,
          closeNavbar: _this2.closeNavbar
        });
      }))];
    }
  }]);
  return Navbar;
}(_react["default"].Component);

exports["default"] = Navbar;