"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Navbar = exports.NavbarPlaceHolder = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _constants = require("../constants.styles");

var NavbarPlaceHolder = _styledComponents["default"].div.withConfig({
  displayName: "Navbarstyles__NavbarPlaceHolder",
  componentId: "sc-158s0vf-0"
})(["height:", "%;width:", "px;visibility:hidden;"], _constants.height, _constants.collapsedWidth);

exports.NavbarPlaceHolder = NavbarPlaceHolder;

var Navbar = _styledComponents["default"].div.withConfig({
  displayName: "Navbarstyles__Navbar",
  componentId: "sc-158s0vf-1"
})(["position:fixed;top:0;left:0;height:", "%;width:", "px;background-color:", ";padding-top:15px;z-index:999;", ""], _constants.height, function (_ref) {
  var expanded = _ref.expanded;
  return (0, _constants.width)(expanded);
}, _tokens["default"].navbar.navbar.background.color, _constants.widthAnimation);

exports.Navbar = Navbar;