"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _Icon = _interopRequireDefault(require("../../Icon"));

var _ICONS = _interopRequireDefault(require("../../../constants/ICONS"));

var _ANIMATIONS = _interopRequireDefault(require("../../../constants/ANIMATIONS"));

var Styles = _interopRequireWildcard(require("./NavbarSpinner.styles"));

var NavbarSpinner = function NavbarSpinner() {
  return _react["default"].createElement(Styles.NavbarSpinner, null, _react["default"].createElement(_Icon["default"], {
    icon: _ICONS["default"].wheel,
    size: 10,
    color: _tokens["default"].navbar.spinner.icon.color,
    mixins: [_ANIMATIONS["default"].rotate({
      time: 0.75
    })]
  }));
};

var _default = NavbarSpinner;
exports["default"] = _default;