"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _RadioButtonStyles = _interopRequireDefault(require("./RadioButtonStyles"));

var RadioButton =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(RadioButton, _React$Component);

  function RadioButton() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, RadioButton);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(RadioButton)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleOnChange", function () {
      var onChange = _this.props.onChange;
      onChange();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "stopEvent", function (event) {
      event.preventDefault();
      event.stopPropagation();
    });
    return _this;
  }

  (0, _createClass2["default"])(RadioButton, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          label = _this$props.label,
          checked = _this$props.checked,
          children = _this$props.children,
          hideInactiveContent = _this$props.hideInactiveContent,
          last = _this$props.last,
          horizontal = _this$props.horizontal;
      return _react["default"].createElement(_RadioButtonStyles["default"].Label, {
        checked: checked,
        last: last,
        horizontal: horizontal
      }, label, _react["default"].createElement(_RadioButtonStyles["default"].Input, {
        type: "radio",
        checked: checked,
        onChange: this.handleOnChange
      }), _react["default"].createElement(_RadioButtonStyles["default"].RadioButton, {
        checked: checked
      }), _react["default"].createElement(_RadioButtonStyles["default"].Children, {
        hide: !checked && hideInactiveContent,
        onClick: this.stopEvent
      }, children));
    }
  }]);
  return RadioButton;
}(_react["default"].Component);

exports["default"] = RadioButton;