"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _RadioButtonGroupStyles = _interopRequireDefault(require("./RadioButtonGroupStyles"));

var RadioButtonGroup =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(RadioButtonGroup, _React$Component);

  function RadioButtonGroup(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, RadioButtonGroup);
    _this = (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(RadioButtonGroup).call(this, props));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "selectOption", function (idx) {
      var onChange = _this.props.onChange;
      onChange && onChange(idx);

      _this.setState({
        checked: idx
      });
    });
    _this.state = {
      checked: props.initialGroup
    };
    return _this;
  }

  (0, _createClass2["default"])(RadioButtonGroup, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          children = _this$props.children,
          horizontal = _this$props.horizontal,
          hideInactiveContent = _this$props.hideInactiveContent;
      var checked = this.state.checked;
      return _react["default"].createElement(_RadioButtonGroupStyles["default"].Container, {
        horizontal: horizontal
      }, _react["default"].Children.map(children, function (child, idx) {
        return _react["default"].cloneElement(child, {
          onChange: function onChange() {
            return _this2.selectOption(idx);
          },
          checked: checked === idx,
          hideInactiveContent: hideInactiveContent,
          last: idx === _react["default"].Children.count(children) - 1,
          horizontal: horizontal
        });
      }));
    }
  }]);
  return RadioButtonGroup;
}(_react["default"].Component);

exports["default"] = RadioButtonGroup;
(0, _defineProperty2["default"])(RadioButtonGroup, "defaultProps", {
  initialGroup: null
});