"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var valueTransformer = _interopRequireWildcard(require("../value-transformer"));

var _TrackStyles = _interopRequireDefault(require("./TrackStyles"));

var Track =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Track, _React$Component);

  function Track() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Track);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Track)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleRef", function (node) {
      return _this.node = node;
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "getClientRect", function () {
      return _this.node && _this.node.getBoundingClientRect();
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMouseDown", function (event) {
      var clientX = event.clientX;

      var trackClientRect = _this.getClientRect();

      var position = {
        x: clientX - trackClientRect.left,
        y: 0
      };

      _this.props.onTrackMouseDown(event, position);
    });
    return _this;
  }

  (0, _createClass2["default"])(Track, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.forceUpdate();
    }
  }, {
    key: "getActiveTrackWidth",
    value: function getActiveTrackWidth() {
      var _this$props = this.props,
          maxPercentage = _this$props.maxPercentage,
          minPercentage = _this$props.minPercentage;
      var width = "".concat((maxPercentage - minPercentage) * 100, "%");
      return width;
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          minPercentage = _this$props2.minPercentage,
          disabled = _this$props2.disabled,
          children = _this$props2.children;
      var activeTrackOffset = valueTransformer.getPositionFromPercentage(minPercentage, this.getClientRect());
      return _react["default"].createElement(_TrackStyles["default"].Track, {
        ref: this.handleRef,
        onMouseDown: this.handleMouseDown,
        disabled: disabled
      }, _react["default"].createElement(_TrackStyles["default"].ActiveTrack, {
        activeTrackOffset: activeTrackOffset,
        width: this.getActiveTrackWidth(),
        disabled: disabled
      }), children);
    }
  }]);
  return Track;
}(_react["default"].Component);

exports["default"] = Track;