"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _tokens = _interopRequireDefault(require("../../../tokens"));

var _slider = require("../../../tokens/slider");

var trackHeight = 5;

var Track = _styledComponents["default"].div.withConfig({
  displayName: "TrackStyles__Track",
  componentId: "sc-17i0gn2-0"
})(["background:", ";cursor:", ";display:block;height:", "px;position:relative;transition:left 0.3s ease-out,width 0.3s ease-out;left:0;margin-top:", "px;position:absolute;right:0;top:50%;"], _tokens["default"].slider.color["default"], function (_ref) {
  var disabled = _ref.disabled;
  return disabled ? 'not-allowed' : 'pointer';
}, trackHeight, -0.5 * trackHeight);

var ActiveTrack = _styledComponents["default"].div.withConfig({
  displayName: "TrackStyles__ActiveTrack",
  componentId: "sc-17i0gn2-1"
})(["background:", ";cursor:", ";display:block;height:", "px;position:relative;left:", "px;transition:left 0.3s ease-out,width 0.3s ease-out;background:", ";", ""], _tokens["default"].slider.color["default"], function (_ref2) {
  var disabled = _ref2.disabled;
  return disabled ? 'not-allowed' : 'pointer';
}, trackHeight, function (_ref3) {
  var activeTrackOffset = _ref3.activeTrackOffset;
  return activeTrackOffset;
}, _tokens["default"].slider.color.active, function (_ref4) {
  var width = _ref4.width;
  return "\n    width: ".concat(width, ";\n  ");
});

var _default = {
  Track: Track,
  ActiveTrack: ActiveTrack
};
exports["default"] = _default;