"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var Styles = _interopRequireWildcard(require("./StatusIndicator.styles.js"));

var _Tooltip = require("../Tooltip");

var StatusIndicatorIconWithToolTip = (0, _Tooltip.withTooltip)(Styles.StatusIndicatorIcon);

var StatusIndicator = function StatusIndicator(_ref) {
  var label = _ref.label,
      tooltipText = _ref.tooltipText,
      success = _ref.success,
      warning = _ref.warning,
      danger = _ref.danger,
      inverse = _ref.inverse;
  var styleProps = {
    success: success,
    warning: warning,
    danger: danger,
    inverse: inverse
  };
  return _react["default"].createElement(Styles.Container, styleProps, tooltipText ? _react["default"].createElement(StatusIndicatorIconWithToolTip, (0, _extends2["default"])({}, styleProps, {
    tooltipText: tooltipText
  })) : _react["default"].createElement(Styles.StatusIndicatorIcon, styleProps), label && _react["default"].createElement(Styles.Label, styleProps, label));
};

var _default = StatusIndicator;
exports["default"] = _default;