"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var alignmentMap = {
  left: 'flex-start',
  right: 'flex-end',
  center: 'center'
};

var Container = _styledComponents["default"].div.withConfig({
  displayName: "CellStyles__Container",
  componentId: "sc-1e99q33-0"
})(["opacity:", ";width:100%;display:flex;flex-direction:row;justify-content:", ";"], function (_ref) {
  var disabled = _ref.disabled;
  return disabled ? '0.3' : '1';
}, function (_ref2) {
  var alignment = _ref2.alignment;
  return alignment ? alignmentMap[alignment] : alignmentMap.left;
});

var _default = {
  Container: Container
};
exports["default"] = _default;