"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var Styles = _interopRequireWildcard(require("./Table.styles"));

var BodyCell = function BodyCell(_ref) {
  var alignment = _ref.alignment,
      children = _ref.children,
      hasSuperHeader = _ref.hasSuperHeader,
      isEndOfSuperHeader = _ref.isEndOfSuperHeader,
      isLastCol = _ref.isLastCol,
      fitContainer = _ref.fitContainer,
      isStartOfSuperHeader = _ref.isStartOfSuperHeader,
      style = _ref.style;
  return _react["default"].createElement(Styles.SuperHeaderPadding, {
    borderType: "body",
    isStartOfSuperHeader: isStartOfSuperHeader,
    isEndOfSuperHeader: isEndOfSuperHeader,
    style: style,
    isLastCol: isLastCol,
    fitContainer: fitContainer,
    hasSuperHeader: hasSuperHeader
  }, _react["default"].createElement(Styles.BodyCell, {
    "data-qa-id": "Table__Cell",
    alignment: alignment,
    hasSuperHeader: hasSuperHeader,
    fitContainer: fitContainer,
    isSuperHeaderBoundary: isStartOfSuperHeader || isEndOfSuperHeader
  }, children));
};

var _default = BodyCell;
exports["default"] = _default;