"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var Styles = _interopRequireWildcard(require("./Tooltip.styles.js"));

var Tooltip =
/*#__PURE__*/
function (_React$Component) {
  (0, _inherits2["default"])(Tooltip, _React$Component);

  function Tooltip() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2["default"])(this, Tooltip);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2["default"])(this, (_getPrototypeOf2 = (0, _getPrototypeOf3["default"])(Tooltip)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      width: 0,
      height: 0
    });
    return _this;
  }

  (0, _createClass2["default"])(Tooltip, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.updateSize();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      if (prevProps.children !== this.props.children || Math.floor(prevState.width) !== Math.floor(this.state.width) || Math.floor(prevState.height) !== Math.floor(this.state.height)) {
        this.updateSize();
      }
    }
  }, {
    key: "updateSize",
    value: function updateSize() {
      var _ReactDOM$findDOMNode = _reactDom["default"].findDOMNode(this).getBoundingClientRect(),
          width = _ReactDOM$findDOMNode.width,
          height = _ReactDOM$findDOMNode.height;

      this.setState({
        width: width,
        height: height
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          tooltipPlacement = _this$props.tooltipPlacement,
          targetRect = _this$props.targetRect,
          otherProps = (0, _objectWithoutProperties2["default"])(_this$props, ["children", "tooltipPlacement", "targetRect"]);
      var _this$state = this.state,
          width = _this$state.width,
          height = _this$state.height;
      return _react["default"].createElement(Styles.Container, (0, _extends2["default"])({
        targetRect: targetRect,
        tooltipPlacement: tooltipPlacement,
        width: width,
        height: height
      }, otherProps), children);
    }
  }]);
  return Tooltip;
}(_react["default"].Component);

exports["default"] = Tooltip;