"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = require("styled-components");

var delay = function delay(_ref) {
  var property = _ref.property,
      startValue = _ref.startValue,
      endValue = _ref.endValue,
      time = _ref.time,
      reverse = _ref.reverse;
  var keyframe = (0, _styledComponents.keyframes)(["0%{", ":", ";}100%{", ":", ";}"], property, reverse ? endValue : startValue, property, reverse ? startValue : endValue);
  return (0, _styledComponents.css)(["animation:", " ", "s forwards;"], keyframe, time);
};

var _default = delay;
exports["default"] = _default;