"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _styledComponents = require("styled-components");

var rotate = function rotate(_ref) {
  var _ref$direction = _ref.direction,
      direction = _ref$direction === void 0 ? 'clockwise' : _ref$direction,
      _ref$time = _ref.time,
      time = _ref$time === void 0 ? 1 : _ref$time;
  var keyframe = (0, _styledComponents.keyframes)(["from{transform:rotate(0deg);}to{transform:rotate(", ");}"], direction === 'clockwise' ? '360deg' : '-360deg');
  return (0, _styledComponents.css)(["animation:", " ", "s infinite"], keyframe, time);
};

var _default = rotate;
exports["default"] = _default;