"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.label = void 0;

var _colors = require("./colors");

var _fonts = require("./fonts");

var label = {
  color: {
    brand: _colors.colors.brand500,
    secondary: _colors.colors.secondary500,
    success: _colors.colors.success500,
    warning: _colors.colors.warning500,
    danger: _colors.colors.danger500
  },
  text: {
    family: _fonts.fonts.family["default"],
    size: _fonts.fonts.size.xsmall,
    weight: _fonts.fonts.weight.bold,
    color: {
      brand: _colors.colors.brand500,
      secondary: _colors.colors.secondary500,
      success: _colors.colors.success500,
      warning: _colors.colors.warning600,
      danger: _colors.colors.danger500
    }
  }
};
exports.label = label;